# General Setup

## Install LLVM/Clang

Clang is a faster compiler than the default GCC. It produces binary as fast, or faster than GCC. To set up clang, 

run `emerge llvm clang`

and add these to lines to the top of your `/etc/make.conf` file

	CC=/usr/bin/clang
	CXX=/usr/bin/clang++
	
If a package fails to compile with clang, you can comment out those lines, and recompile the package with GCC.